# Copyright (c) 2006-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _gst_branch	0.10
%define _prefix		/usr
%define _maj_ver	0.5

Name:			gstreamer-0_10-buzztard
Summary:		This module contains experimental code that extends gstreamer
License:		LGPL
Group:			System/Libraries
Version:		%{_maj_ver}.0
Release:		43.37
Source:			gst-buzztard-%{version}.tar.gz
Patch:			gstreamer010-buzztard-returns-random-data.patch
URL:			http://www.buzztard.org
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	alsa-devel
BuildRequires:	docbook-toys
BuildRequires:	docbook-utils
BuildRequires:	docbook-xsl-stylesheets
BuildRequires:	docbook_3
BuildRequires:	docbook_4
BuildRequires:	docbook-dsssl-stylesheets
BuildRequires:	e2fsprogs-devel
BuildRequires:	gamin-devel
BuildRequires:	gcc-c++
BuildRequires:	gstreamer-0_10-devel
BuildRequires:	gstreamer-0_10-plugins-base-devel
BuildRequires:	gtkdoc
BuildRequires:	lash-devel
BuildRequires:	libbml-devel
BuildRequires:	libfluidsynth-devel
BuildRequires:	libjack-devel >= 0.109
BuildRequires:	krb5-devel
BuildRequires:	mDNSResponder-lib
BuildRequires:	pkgconfig
BuildRequires:	valgrind
BuildRequires:	sgml-skel
Requires:		alsa
Requires:		gstreamer-0_10
Requires:		gstreamer-0_10-plugins-base
Requires:		jack >= 0.109
# Name up to 10.3:
Provides:		gstreamer010-buzztard = %{version}
Obsoletes:		gstreamer010-buzztard < %{version}

%description
This package contains code that eventualy will be move to gstreamer
and right now is needed to build all other buzztard-modules.

Author: Stefan Kost <ensonic@users.sourceforge.net>

%package devel
Summary:	Development files for gstreamer010-buzztard
Group:		Development/Libraries/C and C++
Requires:	alsa-devel
Requires:	e2fsprogs-devel
Requires:	gamin-devel
Requires:	glib2-devel
Requires:	lash-devel
Requires:	libbml-devel
Requires:	libfluidsynth-devel
Requires:	libjack-devel
Requires:	%{name} = %{version}
Requires:	gstreamer-0_10-devel
Requires:	gstreamer-0_10-plugins-base-devel
# Name up to 10.3:
Provides:	gstreamer010-buzztard-devel = %{version}
Obsoletes:	gstreamer010-buzztard-devel < %{version}

%description devel
Development headers for gstreamer010-buzztard.

Author: Stefan Kost <ensonic@users.sourceforge.net>



%prep
%setup -q -n gst-buzztard-%{version}
%patch -p1
%{?suse_update_config:%{suse_update_config}}

%build
%configure \
    --prefix=%{_prefix} \
	--enable-gtk-doc
#	--with-html-dir=
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%__rm %{buildroot}%{_libdir}/gstreamer-%{_gst_branch}/lib*.la
%__rm %{buildroot}%{_libdir}/*.la

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/*.so.*
%{_libdir}/gstreamer-%{_gst_branch}/lib*.so

%files devel
%defattr(-, root, root)
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/libgstbuzztard
%{_includedir}/libgstbuzztard/*.h
%dir %{_datadir}/gtk-doc/html/gst-buzztard
%{_datadir}/gtk-doc/html/gst-buzztard/*

%changelog
* Sat Oct 24 2009 Toni Graffy <toni@links2linux.de> - 0.5.0-0.pm.1
- update to 0.5.0
- In gst-buzztard, lots of improvements were made in the
  buzzmachine wrapper, buzz index support was added for categories, and machines
  were made live-playable.
* Thu Nov 27 2008 Toni Graffy <toni@links2linux.de> - 0.4.0-0.pm.1
- update to 0.4.0
* Fri Apr 25 2008 Toni Graffy <toni@links2linux.de> - 0.3.0-42.pm.1
- changed package layout similar to openSuSE-11.0
* Thu Mar 27 2008 Toni Graffy <toni@links2linux.de> - 0.3.0-0.pm.1
- update to 0.3.0
* Sun Dec 30 2007 Toni Graffy <toni@links2linux.de> - 0.2.0-0.pm.3
- corrected Requires/BuildRequires
- build for SuSE-10.0 and SuSE-10.1
* Sun Sep 09 2007 Toni Graffy <toni@links2linux.de> - 0.2.0-0.pm.2
- openSUSE-10.3 build
- rebuild to force PM-package name to gstreamer010-buzztard
- _prefix ==> /usr
* Thu May 03 2007 Toni Graffy <toni@links2linux.de> - 0.2.0-0.pm.1
- update to 0.2.0
* Fri Nov 10 2006 Toni Graffy <toni@links2linux.de> - 0.1.0-0.pm.1
- initial build - version 0.1.0
